C***********************************************************************        
C                                                                               
      COMMON  /BLOCK/  IBCH, IBCT, IBWD, ILIM, ISCT, MXBK, NBLK, SPAN,          
     1IBLK(2800)                                                                
C                                                                               
      INTEGER  SPAN                                                             
      REAL BUFR(700)
      INTEGER IBUFR(1400)
      LOGICAL*1 LBUFR(2800),IBLK
      EQUIVALENCE (BUFR,IBUFR,LBUFR,IBLK)
C                                                                               
C          THIS COMMON BLOCK CONTAINS THE BLOCK CURRENTLY BEING                 
C        PROCESSED PLUS SOME POINTERS USED IN PROCESSING.                       
C                                                                               
C          IBCH - POINTS TO CURRENT 8-BIT CHARACTER IN IBLK.                    
C                                                                               
C          IBCT - NUMBER OF 8-BIT CHARACTERS IN IBLK.                           
C                                                                               
C          IBLK - ARRAY CONTAINING THE BLOCK BEING PROCESSED.                   
C                                                                               
C          IBWD - POINTS TO CURRENT WORD IN IBLK.                               
C                                                                               
C          ILIM - NUMBER OF 60-BIT WORDS IN IBLK.                               
C                                                                               
C          ISCT - COUNT OF 8-BIT CHARACTERS ALREADY EXTRACTED                   
C                 FROM IBLK.                                                    
C                                                                               
C          MXBK - MAXIMUM BLOCK SIZE IN CHARACTERS                              
C                                                                               
C          NBLK - FLAG TO INDICATE WHEN THE RECORD COUNT HAS ALREADY            
C                 BEEN EXTRACTED BY NXTCHR.                                     
C                                                                               
C          SPAN - RECORD SPANNING INDICATOR.                                    
C                                                                               
